Project

General

Profile

Actions

Bug #13681

closed

"directive-upgrade" rudder command does not work

Added by Vincent MEMBRÉ almost 6 years ago. Updated over 5 years ago.

Status:
Released
Priority:
N/A
Category:
Techniques
Target version:
Severity:
UX impact:
User visibility:
Effort required:
Priority:
0
Name check:
Fix check:
Regression:

Description

When running directive-upgrade (introduced in #13146) command, I have the following error:

rudder server directive-upgrade -n packageManagement 
TECHNIQUE packageManagement will migrate to -n

Directives using the 'packageManagement' technique:
17cf81d5-5671-4f30-9a47-a621de603425

Treating 17cf81d5-5671-4f30-9a47-a621de603425
  error: Could not change technique version for directive: '17cf81d5-5671-4f30-9a47-a621de603425'.
  <!DOCTYPE html>
<html> <body>Something unexpected happened while serving the page at /api/latest/directives/17cf81d5-5671-4f30-9a47-a621de603425</body> </html>  

Preventing its usage

That's because we Set a variable with a wrong value

Actions

Also available in: Atom PDF